Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6743/?format=api
{ "ob_id": 6743, "uuid": "4302f663e9a3c44d39e008ee2538401a", "title": "QESDI: Global Population Distribution Database (Li, 1996)", "abstract": "QUEST projects both used and produced an immense variety of global data sets that needed to be shared efficiently between the project teams. These global synthesis data sets are also a key part of QUEST's legacy, providing a powerful way of communicating the results of QUEST among and beyond the UK Earth System research community.\r\n\r\nThis dataset contains global Population Distribution (1990), Terrestrial Area and Country Name Information on a One by One Degree Grid Cell Basis.", "keywords": "QUEST, QESDI, population", "publicationState": "published", "dataPublishedTime": "2014-09-21T19:55:10", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6744/?format=api", "dataPath": "/badc/quest/data/qesdi/population/globpop_li1990", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 263764, "numberOfFiles": 2, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/4998/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/1633/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/7762/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/7763/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/9224/?format=api" ], "dataLineage": "Data generated from CDIAC DB1016 (8-1996)", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4438/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6747/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6742/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28955/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28954/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28957/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28958/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28959/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71781/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71782/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28956/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/19069/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }